function S = integral_cos_theta_si_sj_s ( thetai, thetaj, si, sj, s )
% \cos(\theta(s))̐ϕ
% int_{s_i}^{s} \cos {\theta_i N_{i,j} + \theta_j N_{j,i}}
    integrand = @(s) cos(thetai * (sj-s)/(sj-si) + thetaj * (s-si)/(sj-si));
    S = integral(integrand, si, s);
end
