function points = DLO_shape ( theta, n, s )
% 󕨑̂̌`vZ
    numstep = 10;
    xnode = 0; ynode = 0;
    points = [ xnode,ynode ];
    for k=1:n-1
        si = s(k); sj = s(k+1);
        thetai = theta(k); thetaj = theta(k+1);
        for l = 1:numstep
            u = si + l * (sj-si)/numstep;
            x = xnode + integral_cos_theta_si_sj_s ( thetai, thetaj, si, sj, u );
            y = ynode + integral_sin_theta_si_sj_s ( thetai, thetaj, si, sj, u );
            points = [ points; x,y ];
        end
        xnode = x; ynode = y;
    end
end
