function vec = geometric_constraints_param ( theta, n, s, lx, ly )
% iEj
    X = 0;
    Y = 0;
    for k=1:n-1
        thetai = theta(k); thetaj = theta(k+1);
        si = s(k); sj = s(k+1);
        X = X + integral_cos_theta_si_sj_s ( thetai, thetaj, si, sj, sj );
        Y = Y + integral_sin_theta_si_sj_s ( thetai, thetaj, si, sj, sj );
    end
    X = X - lx;
    Y = Y - ly;
    vec = [ theta(1); theta(n); X; Y ];
end
